# Uses of Class
org.eclipse.ui.dialogs.ListSelectionDialog

Packages that use ListSelectionDialog
Package
Description
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of ListSelectionDialog in org.eclipse.ui.dialogs

Subclasses of ListSelectionDialog in org.eclipse.ui.dialogs
Modifier and Type
Class
Description
`class`
`YesNoCancelListSelectionDialog`
Deprecated, for removal: This API element is subject to removal in a future version.
Providing Cancel in addition to Yes/No is confusing.
Methods in org.eclipse.ui.dialogs that return ListSelectionDialog
Modifier and Type
Method
Description
`ListSelectionDialog`
ListSelectionDialog.Builder.`create(Shell parentShell)`
Creates and assembles the dialog.